//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USEFORM("Demo2Frm.cpp", frmDemo2);
USEFORM("Demo3Frm.cpp", frmDemo3);
USEFORM("Demo4Frm.cpp", frmDemo4);
USEFORM("Demo5Frm.cpp", frmDemo5);
USEFORM("Demo6Frm.cpp", frmDemo6);
USEFORM("Demo7Frm.cpp", frmDemo7);
USEFORM("MainFrm.cpp", frmMain);
USEFORM("PopupFrm.cpp", frmPopup);
USEFORM("Demo1Frm.cpp", frmDemo1);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->CreateForm(__classid(TfrmMain), &frmMain);
		Application->CreateForm(__classid(TfrmDemo2), &frmDemo2);
		Application->CreateForm(__classid(TfrmDemo3), &frmDemo3);
		Application->CreateForm(__classid(TfrmDemo4), &frmDemo4);
		Application->CreateForm(__classid(TfrmDemo5), &frmDemo5);
		Application->CreateForm(__classid(TfrmDemo6), &frmDemo6);
		Application->CreateForm(__classid(TfrmDemo7), &frmDemo7);
		Application->CreateForm(__classid(TfrmPopup), &frmPopup);
		Application->CreateForm(__classid(TfrmDemo1), &frmDemo1);
		Application->Run();
    }
    catch (Exception &exception)
    {
        Application->ShowException(&exception);
    }
    return 0;
}
//---------------------------------------------------------------------------
